QueueTag (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.ajax4jsf.taglib.html.jsp.QueueTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class QueueTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.ajax4jsf.taglib.html.jsp.QueueTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class QueueTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`QueueTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setDisabled(javax.el.ValueExpression __disabled)` If "true", disables this component on page.
`void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows you to ignore an Ajax response produced by a request if the newest 'similar' request is in the queue already.
`void` | `setName(javax.el.ValueExpression __name)` Specifies to name for the named queue.
`void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client-side script method to be called before DOM is updated Setter for onbeforedomupdate
`void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client-side script method to be called after the request is completed Setter for oncomplete
`void` | `setOnerror(javax.el.ValueExpression __onerror)` The client-side script method to be called whenever a JavaScript error occurs Setter for onerror
`void` | `setOnrequestdequeue(javax.el.ValueExpression __onrequestdequeue)` The client-side script method to be called after the request is removed from the queue Setter for onrequestdequeue
`void` | `setOnrequestqueue(javax.el.ValueExpression __onrequestqueue)` The client-side script method to be called when the request is added to the queue Setter for onrequestqueue
`void` | `setOnsizeexceeded(javax.el.ValueExpression __onsizeexceeded)` The client-side script method to be called when a size is exceeded Setter for onsizeexceeded
`void` | `setOnsubmit(javax.el.ValueExpression __onsubmit)` The client-side script method to be called before an ajax request is submitted Setter for onsubmit
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms) the request will be waiting in the queue before it is ready to be sent.
`void` | `setSize(javax.el.ValueExpression __size)` Defines the number of requests allowed in the queue at one time.
`void` | `setSizeExceededBehavior(javax.el.ValueExpression __sizeExceededBehavior)` Defines the strategies of the queue's behavior if the number of the requests waiting in the queue is exceeded.
`void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setTimeout(javax.el.ValueExpression __timeout)` Waiting time for response on a particular request.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### QueueTag

    public QueueTag()

Method Detail

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  If "true", disables this component on page. Setter for disabled

  Parameters:
    `disabled` - - new value

### setIgnoreDupResponses

    public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

  Attribute allows you to ignore an Ajax response produced by a request if the newest 'similar' request is in the queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows avoiding unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### setName

    public void setName(javax.el.ValueExpression __name)

  Specifies to name for the named queue. Setter for name

  Parameters:
    `name` - - new value

### setOnbeforedomupdate

    public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

  The client-side script method to be called before DOM is updated Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### setOncomplete

    public void setOncomplete(javax.el.ValueExpression __oncomplete)

  The client-side script method to be called after the request is completed Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### setOnerror

    public void setOnerror(javax.el.ValueExpression __onerror)

  The client-side script method to be called whenever a JavaScript error occurs Setter for onerror

  Parameters:
    `onerror` - - new value

### setOnrequestdequeue

    public void setOnrequestdequeue(javax.el.ValueExpression __onrequestdequeue)

  The client-side script method to be called after the request is removed from the queue Setter for onrequestdequeue

  Parameters:
    `onrequestdequeue` - - new value

### setOnrequestqueue

    public void setOnrequestqueue(javax.el.ValueExpression __onrequestqueue)

  The client-side script method to be called when the request is added to the queue Setter for onrequestqueue

  Parameters:
    `onrequestqueue` - - new value

### setOnsizeexceeded

    public void setOnsizeexceeded(javax.el.ValueExpression __onsizeexceeded)

  The client-side script method to be called when a size is exceeded Setter for onsizeexceeded

  Parameters:
    `onsizeexceeded` - - new value

### setOnsubmit

    public void setOnsubmit(javax.el.ValueExpression __onsubmit)

  The client-side script method to be called before an ajax request is submitted Setter for onsubmit

  Parameters:
    `onsubmit` - - new value

### setRequestDelay

    public void setRequestDelay(javax.el.ValueExpression __requestDelay)

  Attribute defines the time (in ms) the request will be waiting in the queue before it is ready to be sent. Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### setSize

    public void setSize(javax.el.ValueExpression __size)

  Defines the number of requests allowed in the queue at one time. Setter for size

  Parameters:
    `size` - - new value

### setSizeExceededBehavior

    public void setSizeExceededBehavior(javax.el.ValueExpression __sizeExceededBehavior)

  Defines the strategies of the queue's behavior if the number of the requests waiting in the queue is exceeded. There are four strategies: dropNext (by default), dropNew, fireNext , fireNew. Setter for sizeExceededBehavior

  Parameters:
    `sizeExceededBehavior` - - new value

### setStatus

    public void setStatus(javax.el.ValueExpression __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### setTimeout

    public void setTimeout(javax.el.ValueExpression __timeout)

  Waiting time for response on a particular request. If no response is received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.